Bug 714040 - 2.6.38.8-32.fc15.x86_64 boots slow (because of netfs.service)
Summary: 2.6.38.8-32.fc15.x86_64 boots slow (because of netfs.service)
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 15
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-17 08:10 UTC by Sascha Zantis
Modified: 2012-07-11 17:50 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-11 17:50:25 UTC
Type: ---


Attachments (Terms of Use)
Old kernel, fast boot (374.92 KB, image/svg+xml)
2011-06-17 08:10 UTC, Sascha Zantis
no flags Details
Current kernel, slow boot (376.90 KB, image/svg+xml)
2011-06-17 08:11 UTC, Sascha Zantis
no flags Details
netfs.service disabled (357.93 KB, image/svg+xml)
2011-06-27 04:33 UTC, Sascha Zantis
no flags Details

Description Sascha Zantis 2011-06-17 08:10:20 UTC
Created attachment 505209 [details]
Old kernel, fast boot

Description of problem:
Since the last kernel update in Fedora 15, my system boots much slower. 30 seconds 2.6.38.8-32.fc15.x86_64 vs. 11 seconds 2.6.38.7-30.fc15.x86_64


Version-Release number of selected component (if applicable):
2.6.38.8-32.fc15.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Boot
2. Choose current kernel
3.
  
Actual results:
Boots slower than the kernel before

Expected results:
Should boot as fast as the kernel before (2.6.38.7-30.fc15.x86_64)

Additional info:
The slow part during boot is netfs.service, the lines that appears in this time on the screen are

Started LSB: Starts the NFSv4 id mapping daemon.
Started LSB: The CUPS scheduler.

I don't mount any remote filesystems at boot.

I added systemd-analyze plots as an attachment.

System is up to date Fedora 15.

Comment 1 Sascha Zantis 2011-06-17 08:11:04 UTC
Created attachment 505210 [details]
Current kernel, slow boot

Comment 2 Chuck Ebbert 2011-06-25 15:34:04 UTC
Take a look at bug 714023, can you reproduce what is reported there?

Comment 3 Sascha Zantis 2011-06-26 07:38:48 UTC
No, I can't.

After boot:
lsmod | grep nfs
no output

modpobe nfs
no output

lsmod | grep nfs
nfs                   316777  0 
lockd                  70321  1 nfs
fscache                43442  1 nfs
nfs_acl                 2357  1 nfs
auth_rpcgss            38390  1 nfs
sunrpc                195388  5 nfs,lockd,nfs_acl,auth_rpcgss

And, as I said, I do not mount any filesystems at boot, at the moment, I don't even use NFS at home.

Comment 4 Sascha Zantis 2011-06-27 04:33:44 UTC
Created attachment 510015 [details]
netfs.service disabled

I now disabled netfs.service and the computer boots as fast as it should. If anyone needs additional information or wants me to test something, please tell.

Comment 5 Sergio Basto 2011-07-14 16:25:00 UTC
My issue is fixed on kernel 2.6.38.8-35 , I think is was : 

* Wed Jul 06 2011 Chuck Ebbert <cebbert@redhat.com> 2.6.38.8-35 - Revert
SCSI/block patches from 2.6.38.6 that caused more problems.

Please, try it and report it .

Comment 6 Sascha Zantis 2011-07-15 07:49:33 UTC
Didn't fix my issue, unfortunately.

Comment 7 Sergio Basto 2011-07-15 20:31:23 UTC
Ok this is the second bug ? see if is a dup of Bug 710197

Comment 8 Sergio Basto 2011-07-15 20:32:26 UTC
(In reply to comment #7)
I mean, look at Bug 714023

Comment 9 Sascha Zantis 2011-07-16 06:51:44 UTC
I cannot find any parallels to my problem.

1. I don't have any problems with the nfs-kernel-module
2. I don't want to mount any shares on boot.
3. I am able to mount nfs-shares on demand without problems.

The only "visible" problem I have, is that netfs-service delays the boot-process significantly.

Comment 10 Josh Boyer 2012-06-06 14:30:22 UTC
Is this still a problem?

Comment 11 Josh Boyer 2012-07-11 17:50:25 UTC
Fedora 15 has reached it's end of life as of June 26, 2012.  As a result, we will not be fixing any remaining bugs found in Fedora 15.

In the event that you have upgraded to a newer release and the bug you reported is still present, please reopen the bug and set the version field to the newest release you have encountered the issue with.  Before doing so, please ensure you are testing the latest kernel update in that release and attach any new and relevant information you may have gathered.

Thank you for taking the time to file a report.  We hope newer versions of Fedora suit your needs.


Note You need to log in before you can comment on or make changes to this bug.